curl --request GET \
--url https://api.example.com/api/repositories/{repo_id}/issues \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/repositories/{repo_id}/issues"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/repositories/{repo_id}/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/repositories/{repo_id}/issues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/repositories/{repo_id}/issues"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/repositories/{repo_id}/issues")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/repositories/{repo_id}/issues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"issues": [
{
"id": "<string>",
"scan_id": "<string>",
"file_path": "<string>",
"line_number": 123,
"category": "<string>",
"severity": "<string>",
"confidence": 123,
"title": "<string>",
"description": "<string>",
"column_start": 123,
"column_end": 123,
"explanation": "<string>",
"code_snippet": "<string>",
"context_before": "<string>",
"context_after": "<string>",
"remediation": "<string>",
"remediation_code": "<string>",
"cwe_ids": [
"<string>"
],
"owasp_category": "<string>",
"cvss_score": 123,
"tags": [
"<string>"
],
"model_used": "<string>",
"false_positive": false,
"exploitable": true,
"created_at": "<string>",
"updated_at": "<string>",
"repo_name": "<string>",
"scan_status": "<string>",
"scan_created_at": "<string>"
}
],
"total": 123,
"page": 123,
"per_page": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Repo Issues
Get all issues for a specific repository in the organization.
Args: repo_id: Repository ID page: Page number (1-based) per_page: Items per page (1-100) severity: Comma-separated severity levels to filter by category: Comma-separated categories to filter by false_positive: Filter by false positive status (0=no, 1=yes, 2=review) scan_id: Filter by scan ID file_path: Filter by file path (partial match) user: Authenticated user from Clerk
Returns: Paginated list of issues for the repository
Raises: 400: Bad request (invalid repo ID format) 401: Unauthorized (invalid token) 403: Forbidden (repo not owned by user’s org) 404: Not found (repo not found) 500: Internal server error
curl --request GET \
--url https://api.example.com/api/repositories/{repo_id}/issues \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/repositories/{repo_id}/issues"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/repositories/{repo_id}/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/repositories/{repo_id}/issues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/repositories/{repo_id}/issues"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/repositories/{repo_id}/issues")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/repositories/{repo_id}/issues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"issues": [
{
"id": "<string>",
"scan_id": "<string>",
"file_path": "<string>",
"line_number": 123,
"category": "<string>",
"severity": "<string>",
"confidence": 123,
"title": "<string>",
"description": "<string>",
"column_start": 123,
"column_end": 123,
"explanation": "<string>",
"code_snippet": "<string>",
"context_before": "<string>",
"context_after": "<string>",
"remediation": "<string>",
"remediation_code": "<string>",
"cwe_ids": [
"<string>"
],
"owasp_category": "<string>",
"cvss_score": 123,
"tags": [
"<string>"
],
"model_used": "<string>",
"false_positive": false,
"exploitable": true,
"created_at": "<string>",
"updated_at": "<string>",
"repo_name": "<string>",
"scan_status": "<string>",
"scan_created_at": "<string>"
}
],
"total": 123,
"page": 123,
"per_page": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Use an API key in the X-API-Key header.
Path Parameters
Query Parameters
Page number (1-based)
x >= 1Items per page (1-100)
1 <= x <= 100Comma-separated severity levels to filter by
Comma-separated categories to filter by
Filter by false positive status (True/False)
Filter by scan ID
Filter by file path (partial match)
Was this page helpful?